> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # SQ_AddQueue POST https://api.voximplant.com/platform_api/SQ_AddQueue Adds a new queue. **Example request:** Add a new queue. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/smartqueue/sq-add-queue ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, required) — Application ID to bind to - `application_name` (string, optional) — Application name to bind to. Can be used instead of **application_id** - `sq_queue_name` (string, required) — Unique SmartQueue name within the application, up to 100 characters - `hold_im_if_inactive_agents` (boolean, optional) — Whether to add the task to the queue if there are no available agents - `call_agent_selection` (string, required) — Agent selection strategy for calls. Accepts one of the following values: "MOST_QUALIFIED", "LEAST_QUALIFIED", "MAX_WAITING_TIME" - `im_agent_selection` (string, optional) — Agent selection strategy for messages. Accepts one of the following values: "MOST_QUALIFIED", "LEAST_QUALIFIED", "MAX_WAITING_TIME". The default value is **call_agent_selection** - `call_task_selection` (string, required) — Call type requests prioritizing strategy. Accepts one of the [SQTaskSelectionStrategies] enum values - `im_task_selection` (string, optional) — IM type requests prioritizing strategy. Accepts one of the [SQTaskSelectionStrategies] enum values. The default value is **call_task_selection** - `hold_calls_if_inactive_agents` (boolean, optional, default: false) — Whether to keep the call task in the queue if all agents are in the DND/BANNED/OFFLINE statuses. - `description` (string, optional) — Comment, up to 200 characters - `call_max_waiting_time` (integer, optional, default: 120) — Maximum time in minutes that a CALL-type request can remain in the queue without being assigned to an agent. Specify either this parameter or `call_max_waiting_time_in_seconds`. Specifying both parameters simultaniously leads to an error - `im_max_waiting_time` (integer, optional, default: 120) — Maximum time in minutes that an IM-type request can remain in the queue without being assigned to an agent. Specify either this parameter or `im_max_waiting_time_in_seconds`. Specifying both parameters simultaniously leads to an error - `call_max_queue_size` (integer, optional, default: 1000) — Maximum size of the queue with CALL-type requests - `im_max_queue_size` (integer, optional, default: 1000) — Maximum size of the queue with IM-type requests - `priority` (integer, optional, default: 10) — The queue's priority from 1 to 100 - `call_max_waiting_time_in_seconds` (integer, optional) — Maximum call waiting time in seconds. Specify either this parameter or `call_max_waiting_time`. Specifying both parameters simultaniously leads to an error - `im_max_waiting_time_in_seconds` (integer, optional) — Maximum chat message waiting time in seconds. Specify either this parameter or `im_max_waiting_time`. Specifying both parameters simultaniously leads to an error ## Response ### 200 Successful response - `result` (SQAddQueueResult, optional) — Result with ID of the added queue ## Types ### SQAddQueueResult The [SQ_AddQueue] function result. - `sq_queue_id` (integer, optional) — ID of the added queue ## Examples **Response** ```json { "result": { "sq_queue_id": 10826 } } ``` **SDK Code** ```python Success import requests url = "https://api.voximplant.com/platform_api/SQ_AddQueue" querystring = {"application_id":"1","sq_queue_name":"sq_queue_name","call_agent_selection":"call_agent_selection","call_task_selection":"call_task_selection"} headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('POST', 'https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SQ_AddQueue?application_id=1&sq_queue_name=sq_queue_name&call_agent_selection=call_agent_selection&call_task_selection=call_task_selection")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```